@echo off
Rem Batch file to fix DJGPP specific issues in the test shell script provided by xz.

test -f %1/src/scripts/%2.org
if errorlevel 1 update %1/tests/%2 %1/tests/%2.org
sed -f %1/djgpp/test_scripts.sed %1/tests/%2.org > %2.tmp
if errorlevel 1 goto SedError
mv -f ./%2.tmp %1/tests/%2
goto End

:SedError
echo shell script editing failed!
goto End

:End
